Subject: bug#67393: 29.1; Slow to open file if autosave exists

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Jan 2024 19:10:46 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Tue, 16 Jan 2024 18:36:51 +0200
> 
> > A defcustom would be one option.  'set-important-message' like
> > implemented by Ihor would be another option.  All this could be
> > added after creating the new function 'important-message'.
> 
> So here is the new function 'important-message' and its calls
> in two discussed places.

Is this in preparation for some followup?  Because if not, I'm not
sure it is justified to add a short function that has just 2 callers.
What do we gain, as a counter-weight to the need to document the new
function, insist that new code uses it, etc.?

What do others think?

> I'm not sure why 'after-find-file' uses non-nil NODISP arg
> in (sit-for 1 t).  This means is that the message is not
> displayed?  Then why 'message' is called?

I think it means redisplay is not called.  'message' causes redisplay
of the echo-area, but we don't need to redisplay the rest.